Blog passé sous WordPress 2.3

Il est 2h44 AM. Je viens de finir de passer mon blog sous WordPress 2.3, la version intégrant nativement les tags.

J’ai failli perdre dans la bataille mon plugin « Similar Posts » qui rencontrait un bug. Mais victoire , il est 2h55 et j’ai trouvé 😉

Pour toute personne passant sous WP 2.3 et utilisant le plugin Similar Posts , si vous essayez de l’activer vous rencontrerez une erreur mais sur le site de Similar Posts une explication se trouve dans les commentaires 159 et 161.

Ah et je vois apparaître « WordPress database error: [Table ‘gonzagueblog.wp_post2cat’ doesn’t exist]
SELECT cat_ID AS ID, MAX(post_modified) AS last_mod FROM `wp_posts` p LEFT JOIN `wp_post2cat` pc ON p.ID = pc.post_id LEFT JOIN `wp_categories` c ON pc.category_id = c.cat_ID WHERE post_status = ‘publish’ GROUP BY cat_ID »

Mais je ne sais pas d’où ça sort vu le peu de plugins restants dans mon installation….. Bon courage à ceux qui feront la mise à jour 😉

26 commentaires

  1. post2cat C’est justement la table qui me posait problème aussi ^^.

    En fait Simple Tagging faisait encore quelques appels dessus donc j’ai simplement « nettoyé » un peu le plugin et là tout marche nickel chrome ! =)

  2. Ce matin dans mon Netvibes ton flux Rss s’est remis à zéro (comme si je n’avais rien lu), j’ai regardé de plus près et ton flux Rss s’arrête à partir de « Chronopost vaut-il le coup », les nouveaux posts n’y sont pas…

  3. Lors de mes essais, j’avais eu le même problème avec la base post2cat.
    En fait, cette table (ainsi que quelques autres) sont supprimées pour être remplacées par un nouveau schéma, nécessaire à l’intégration des tags en natif.

    Je crois que je vais encore attendre un peu moi 🙂

  4. Rien de spéctaculaire dans la version 2.3 RC mis à part les tags gérés nativement alors qu’ils sont géré via les plugins avec la 2.2.3, perso, je trouve qu’il est prématuré d’utiliser la 2.3 actuellement à moins d’avoir un faible pour les bugs, les messages d’erreurs, perso, j’y passerais en temps voulu, brave mais pas téméraire et prudent que je suis 😉

  5. @Jean-Marie : prends pas ça pour une attaque perso, mais c’est avec les gens qui pensent comme toi que les bugs subsistent !

    Si plus de personnes testaient les beta et les RC, cela aiderait beaucoup à avoir des versions finales optimisées ! Heureusement que tout le monde ne « laisse pas faire les autres »

    Au fait, je précise que la 2.3 n’est pas une RC et est considérée comme stable.

  6. @Pierre-Yves: Ne prends surtout pas ma ré onse pour une attaque perso mais c’est pas avec des gens comme moi que les bugs subsiste, là franchement, c’est du n’importe quoi !! figure toi  » Mosieur Pierre-Yves  » que je n’ai pas attendu après toi pour tester des bêta, j’en ai d’ailleurs un bon paquet de bêta tests à mon actif, simplement que je préfére attendre que se soit plus stable quoi que t’en dise …
    PS: Tu me dit que je ne prenne pas ton com comme une attaque perso mais de la manière que c’est tournée et vu le ton employé, honnêtement, hum huuum, je me pose des questions à ce sujet …)

  7. @Jean-Marie : En fait ton commentaire m’a rappelé un article de Vivien Jancenelle ( http://gonzague.me/2007/08/23/vivien-jancelle-collector-a-voir-absolument/ )

    C’était un billet assez édifiant critiquant les nouvelles versions des logiciels en général. Visiblement je t’ai mal associé à une catégorie de personnes à laquelle tu n’appartiens pas =)

    Par contre je ne comprends pas pourquoi tu continues d’affirmer que cette version n’est pas « stable » vu qu’apparemment tu ne l’as pas toi-même testée ?

  8. Hello Pierre-Yves ou re,

    Tu est pardonné (je plaisente …),c’est vrai que j’était en boule tout à l’heure mais c’est fini, je suis un sanguin, alors je monte en pression parfois trop vite! …
    Bref, pour en revenir à nos moutons, effectivement, tu a raison, je ne l’ai pas encore testée ce qui ne saurait tarder vu ce que tu en dit, jusqu’à là je pensais qu’elle n’était pas stable au dire d’amis développeurs mais c’est vrai qu’à ce moment là, la 2.3 venait de sortir!…
    Entre temps, il est vrai que les choses ont sûrement évoluées du bon côté …
    Va falloir que je me l’installe maintenant et là, je pourrais en reparler avec plus de dicernement et une certaine objectivité …
    Voili, voilou, Pierre-Yves, je te remercie néanmoins pour ton deuxième com et PS, je suis allé voir le billet que je ne connaissait pas de Vivien et là je dis  » wouaah!…quel phénomène! » …

    @

  9. J’ai eu cette même erreur et j’ai donc repassé au 2.2 mais comment faire pour passer à la 2.3 sans cette erreur. Je ne sais pas si ça vient de SimpleTagging ou du SitemapGenerator. 🙁

  10. Greg > Les 2 plugins sont à l’origine du problème. Lors de l’install de WP23, il faut impérativement les desactiver. Tu importes ensuite les tags de ST et tu mets à jour GoogleSiteMaps Generator. Tu peux jeter ST dans la foulée.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *